Bug 1236075 - [RFE] Import V2V Virtual Machine using the Graphical interface (GUI)
Summary: [RFE] Import V2V Virtual Machine using the Graphical interface (GUI)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: All
OS: Linux
high
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Arik
QA Contact: Nisim Simsolo
URL: http://www.ovirt.org/Features/virt-v2...
Whiteboard:
Depends On: 1172425 1221603 1226561 1226562 1243935 1250376 1263574 1273284 1284412 1286646 1291055 1292096 1294501 1297202 1339536
Blocks: 952703 1253562 V2V_REST_API
TreeView+ depends on / blocked
 
Reported: 2015-06-26 13:13 UTC by Michal Skrivanek
Modified: 2016-06-15 13:00 UTC (History)
22 users (show)

Fixed In Version: 3.6.0-4 alpha3
Doc Type: Enhancement
Doc Text:
Feature: Provide a way to import VMs from VMware into oVirt from the webadmin. Reason: To simplify the process of import VMs from VMware's vSphere environment into oVirt. Result: Users are provided with UI support for importing VMs from existing VMware vSphere environment.
Clone Of: 952703
Environment:
Last Closed: 2016-02-23 09:02:46 UTC
oVirt Team: Virt
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 44706 0 ovirt-engine-3.6 MERGED core: initialize conversion progress properly Never
oVirt gerrit 44707 0 ovirt-engine-3.6 MERGED core: cancel vm conversion - bll Never
oVirt gerrit 44708 0 ovirt-engine-3.6 MERGED webadmin: cancel vm conversion Never
oVirt gerrit 44709 0 ovirt-engine-3.6 MERGED core: fix actual size of imported disks using v2v Never
oVirt gerrit 44710 0 ovirt-engine-3.6 MERGED webadmin: import virtual appliance Never
oVirt gerrit 44711 0 ovirt-engine-3.6 MERGED webadmin: add warnings in the import vm dialog Never
oVirt gerrit 44712 0 ovirt-engine-3.6 MERGED webadmin: filter VMs that are running in VMware Never
oVirt gerrit 44713 0 ovirt-engine-3.6 MERGED core: set origin type for imported vm from vmware Never
oVirt gerrit 44714 0 ovirt-engine-3.6 MERGED webadmin: prevent an exception when loading vm from vmware Never
oVirt gerrit 44715 0 ovirt-engine-3.6 MERGED webadmin: rename ova representation Never
oVirt gerrit 44870 0 ovirt-engine-3.6 MERGED core: fix network interfaces for imported vm using v2v Never
oVirt gerrit 44871 0 ovirt-engine-3.6 MERGED webadmin: fix network interfaces of imported vm using v2v Never
oVirt gerrit 44872 0 ovirt-engine-3.6 MERGED core: rename ova related verbs Never
oVirt gerrit 44873 0 ovirt-engine-3.6 MERGED core: change the return value of getExternalVmFromOva Never

Description Michal Skrivanek 2015-06-26 13:13:27 UTC
integrate virt-v2v conversion process into webadmin. See feature page for details

initially supporting VMware vCenter

Comment 1 Nisim Simsolo 2016-02-22 16:04:07 UTC
Version: 
rhevm-3.6.3.2-0.1.el6.noarch
libvirt-client-1.2.17-13.el7_2.2.x86_64
vdsm-4.17.21-0.el7ev.noarch
qemu-kvm-rhev-2.3.0-31.el7_2.4.x86_64
sanlock-3.2.4-1.el7.x86_64

Polarion test plan (added to external trackers also): https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/wiki/Compute/VIRT_v2v

Note: There are some essential bugs which are not resolved yet:
Bug 1292437 - Backport virt-v2v pull dcpath from libvirt <vmware:datacenterpath>
Bug 1263574 - vpx: Include dcpath output in libvirt XML
Bug 1190669 - Support virt-v2v conversion of Windows > 7
Bug 1172425 - [RFE]virt-v2v failed to convert VMware ESX VM with snapshot
Bug 1308535 - RFE: v2v: Copy bios.hddOrder to target


Note You need to log in before you can comment on or make changes to this bug.